CREATE TABLE IF NOT EXISTS `#__mnb_inventario_1` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_inventario` int(5) NOT NULL,
  `id_modulo` int(5) NOT NULL,
  `mnb_946681200` TEXT NOT NULL,
  `mnb_946681201` TEXT NOT NULL,
  `mnb_946681202` TEXT NOT NULL,
  `mnb_tmstmp` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `published` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `#__mnb_inventario_home` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mnb_tmstmp` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `data_inizio` VARCHAR(10) DEFAULT NULL,
  `data_fine` VARCHAR(10) DEFAULT NULL,
  `id_cliente` TEXT NOT NULL,
  `note` TEXT NOT NULL,
  `opzioni_layout` TEXT NOT NULL,
  `published` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `#__mnb_inventari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mnb_tmstmp` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `data_inizio` VARCHAR(10) DEFAULT NULL,
  `data_fine` VARCHAR(10) DEFAULT NULL,
  `titolo` TEXT NOT NULL,
  `note` TEXT NOT NULL,
  `published` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `#__mnb_inventario_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_inventario` int(5) NOT NULL,
  `id_modulo` int(5) NOT NULL,
  `mnb_tmstmp` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `published` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `field_name` TEXT NOT NULL,
  `field_size` TEXT NOT NULL,
  `field_label` TEXT NOT NULL,
  `field_description` TEXT NOT NULL,
  `field_default_val` TEXT NOT NULL,
  `field_required` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `field_filter` int(1) NOT NULL DEFAULT 0,  -- Valore predefinito per `field_filter`
  `field_type` VARCHAR(20) NOT NULL,
  `field_visible` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  `field_list_option` TEXT NOT NULL,
  `field_upload_path` TEXT NOT NULL,
  `field_order` TEXT NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `#__mnb_inventario_modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_inventario` int(11) NOT NULL,
  `groups` TEXT NOT NULL,
  `mnb_tmstmp` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `titolo` TEXT NOT NULL,
  `note` TEXT NOT NULL,
  `access` TEXT NOT NULL,
  `published` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `#__mnb_inventari` (`mnb_tmstmp`, `data_inizio`, `data_fine`, `titolo`, `note`, `published`) VALUES
(CURRENT_TIMESTAMP, '', '', 'My Net Bricks', 'Inventario di default', 1);

INSERT INTO `#__mnb_inventario_home` (`mnb_tmstmp`, `data_inizio`, `data_fine`, `id_cliente`, `note`, `opzioni_layout`, `published`) VALUES
(CURRENT_TIMESTAMP, NULL, NULL, '', '', '{"background_color_int":"rgba(255, 136, 56, 0.93)","text_color":"rgba(61, 61, 61, 0.93)","background_color_row":"rgba(128, 128, 128, 0.62)","border_color":"rgba(71, 71, 71, 1)","border":"","box_shadow":"1","border_radius":"10px","font_size":"","width_px":"100%","height_px":"100%","text_align":"center"}', 0);

INSERT INTO `#__mnb_inventario_modules` (`id_inventario`, `groups`, `mnb_tmstmp`, `titolo`, `note`, `published`, `access`) VALUES
(1, '', '2020-03-25 16:05:55', 'Modulo default', 'Modulo di default', 1, '1');

INSERT INTO `#__mnb_inventario_fields` (`id_inventario`, `id_modulo`, `mnb_tmstmp`, `published`, `field_name`, `field_size`, `field_label`, `field_description`, `field_default_val`, `field_required`, `field_type`, `field_visible`, `field_list_option`, `field_upload_path`, `field_order`, `field_filter`) VALUES
(1, 1, '2000-01-01 00:00:00', 1, 'mnb_946681200', '', 'Titolo', 'Inserisci il titolo o la descrizione', '', 1, 'text', 1, '', '', '1', 0),
(1, 1, '2000-01-01 00:00:01', 1, 'mnb_946681201', '', 'Categoria', 'Seleziona il valore dalla lista', '', 0, 'list', 1, 'A1;A2;B1;C1;D1', '', '2', 0),
(1, 1, '2000-01-01 00:00:02', 1, 'mnb_946681202', '', 'Allegato', 'Inserisci un allegato', '', 0, 'file', 1, '', 'allegati', '', 0);
