<?php

class MNBInventarioHelper
{

	public function getOFC_Iframe($path)
{
    // Estrai l'estensione del file
    $path_arr = explode(".", $path);
    $ext = strtolower($path_arr[count($path_arr) - 1]);

    // Verifica i permessi di accesso
    $nomefile = JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/file.txt';
    $apro = fopen($nomefile, "r");
    $lista = fread($apro, filesize($nomefile));
    fclose($apro);

    // Decodifica i dati della registrazione
    $parametri_registrazione = json_decode($lista);

    // Imposta l'iframe o il messaggio di anteprima non disponibile
    if ($parametri_registrazione->accesso_diretto == "200") {
        switch ($ext) {
            case 'pdf':
                // Anteprima PDF con Google Docs Viewer (mantenendo le proporzioni A4)
                $frame = '<div style="position: relative; width: 33%; padding-top: 47.45%; overflow: hidden;">
                            <iframe id="pdfFrame" style="position: absolute; width: 100%; height: 100%; top: 0; left: 0;" src="https://docs.google.com/gview?url=' . JURI::root() . $path . '&embedded=true" frameborder="0"></iframe>
                          </div>';
                break;
            case 'doc':
            case 'docx':
            case 'xls':
            case 'xlsx':
                // Anteprima Documenti Office con Office Online (mantenendo le proporzioni A4)
                $frame = "<div style='position: relative; width: 33%; padding-top: 47.45%; overflow: hidden;'>
                            <iframe id='officeFrame' style='position: absolute; width: 100%; height: 100%; top: 0; left: 0;' src='https://view.officeapps.live.com/op/embed.aspx?src=" . JURI::root() . $path . "' frameborder='0'></iframe>
                          </div>";
                break;
            case 'jpg':
            case 'jpeg':
            case 'png':
            case 'bmp':
            case 'ico':
                // Anteprima Immagine (mantenendo le proporzioni A4)
                $frame = '<div style="position: relative; width: 33%; padding-top: 47.45%; overflow: hidden;">
                            <img id="imgPreview" src="' . JURI::root() . $path . '" style="position: absolute; width: 100%; height: 100%; top: 0; left: 0;" alt="Immagine non disponibile">
                          </div>';
                break;
            case 'zip':
                // Anteprima ZIP
                $frame = '<p style="padding: 5px; text-align: center;"><img width="100px" height="100px" src="' . JURI::root() . 'media/com_mnbinventario/images/ext/' . $ext . '.png" alt="ZIP"><br>File ZIP</p>';
                break;
            default:
                // Tipo di file sconosciuto
                $frame = '<p style="padding: 5px; text-align: center;"><img width="100px" height="100px" src="' . JURI::root() . 'media/com_mnbinventario/images/ext/' . $ext . '.png"><br>Anteprima non disponibile</p>';
                break;
        }
    } else {
        // Anteprima non disponibile se l'accesso diretto non è permesso
        $frame = '<p style="padding: 5px; text-align: center;"><img width="100px" height="100px" src="' . JURI::root() . 'media/com_mnbinventario/images/ext/' . $ext . '.png"><br>Anteprima non disponibile</p>';
    }

    return $frame;
}

	
    
public function getOFC_Iframe_list($path)
{
    // Verifica ed estrapola l'estensione del file
    $path_arr = explode(".", $path);
    $ext = $path_arr[count($path_arr) - 1];
    
    // Ricava i dati della registrazione del prodotto
    $nomefile = JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/file.txt';
    $apro = fopen($nomefile, "r"); // Lo apro in sola lettura
    $lista = fread($apro, filesize($nomefile)); // Lo leggo
    fclose($apro); // Lo chiudo
    
    $parametri_registrazione = json_decode($lista);
    
    if ($parametri_registrazione->accesso_diretto == "200") {
		
        $iframe_url = "https://view.officeapps.live.com/op/embed.aspx?src=" . JURI::root() . $path;
        
        // Crea l'iframe
        $frame = "<iframe width='480' height='340' src='" . $iframe_url . "' width='1366px' height='623px' frameborder='0'></iframe>";
        
        // Alternativa con Google Docs Viewer
        $frame = '<iframe width="auto" style="padding: 5px; text-align: center;" src="https://docs.google.com/gview?url=' . JURI::root() . $path . '&embedded=true" frameborder="0"></iframe>';
    } else {
        // Anteprima non disponibile
        $frame = '<p style="padding: 5px; text-align: center;"><img width="100px" height="100px" src="' . JURI::root() . 'media/com_mnbinventario/images/ext/' . $ext . '.png"><br>anteprima non disponibile</p>';
    }
    
    return $frame;
}

 

public function getOpzioniLayout()
    {
	
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		
		$query
		->select('opzioni_layout')
	   	->from('#__mnb_inventario_home')
		->where('id =  1');
		
		$db->setQuery($query);

		$result = $db->loadResult();

		return json_decode($result);

    }
	
public function getMNBAuthorization()
    {
     	$nomefile= JPATH_ROOT . '/administrator/components/com_mnbinventario/helpers/file.txt'; // determino il file di testo che contiene la lista dei titoli
		$apro=fopen($nomefile,"r"); // lo apro in sola lettura
		$lista=fread($apro,filesize($nomefile)); // lo leggo
		fclose($apro); // lo chiudo

		$parametri_registrazione = json_decode($lista);

		//step1
		$curlSES=curl_init(); 
	
		curl_setopt($curlSES,CURLOPT_URL,"https://www.mynetbrick.com/api/authorization/authorization_request.php?id_cliente=".$parametri_registrazione->id_cliente."&key=9");
		curl_setopt($curlSES,CURLOPT_RETURNTRANSFER,true);
		curl_setopt($curlSES,CURLOPT_HEADER, false); 
	
		$result = json_decode(curl_exec($curlSES), false);

		curl_close($curlSES);

		if (!$result->max_righe){
			$result->max_righe = $parametri_registrazione->max_righe;
		}
		
		if (!$result->max_colonne){
			$result->max_colonne = $parametri_registrazione->max_colonne;
		}
		
		return $result;
   	
    }   
    


}



?>


